Bug 907867 - delete router fails with internal sever error when floatingip association remains
delete router fails with internal sever error when floatingip association rem...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-quantum (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
unspecified Severity unspecified
: snapshot3
: 2.1
Assigned To: Gary Kotton
Ofer Blaut
: Rebase, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 07:44 EST by Gary Kotton
Modified: 2016-04-26 17:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 10:42:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1080638 None None None Never

  None (edit)
Description Gary Kotton 2013-02-05 07:44:26 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Ofer Blaut 2013-03-10 10:54:14 EDT
Tested openstack-quantum-2012.2.3-5.el6ost.noarch



[root@puma34 ~(keystone_admin_tenant1)]$ quantum floatingip-create ext_net
Created a new floatingip:
+---------------------+--------------------------------------+
| Field               | Value                                |
+---------------------+--------------------------------------+
| fixed_ip_address    |                                      |
| floating_ip_address | 10.35.180.22                         |
| floating_network_id | 4f889a3d-f1b1-496d-aa8c-1a466888fb6d |
| id                  | 59a2fe50-9afa-4924-a9d5-c1f1fa850779 |
| port_id             |                                      |
| router_id           |                                      |
| tenant_id           | ee83e6c53a544939bccbc9ae605787e6     |
+---------------------+--------------------------------------+
[root@puma34 ~(keystone_admin_tenant1)]$ quantum floatingip-associate 59a2fe50-9afa-4924-a9d5-c1f1fa850779 ce5865be-a360-4bb2-a9a3-3f9d606e1d7e --fixed-ip-address 88.66.66.6
Associated floatingip 59a2fe50-9afa-4924-a9d5-c1f1fa850779
[root@puma34 ~(keystone_admin_tenant1)]$ 


[root@puma34 ~(keystone_admin_tenant1)]$ nova list
+--------------------------------------+------+--------+------------------------+
| ID                                   | Name | Status | Networks               |
+--------------------------------------+------+--------+------------------------+
| eff1c9ec-bde2-429b-92b3-087dd7dfabd3 | VM1  | ACTIVE | net-vlan202=88.66.66.7 |
| f56aac31-bf0b-46b1-adb1-f76f9aa62935 | VM1  | ACTIVE | net-vlan202=88.66.66.6 |
+--------------------------------------+------+--------+------------------------+
[root@puma34 ~(keystone_admin_tenant1)]$ quantum net-list
+--------------------------------------+-------------+-----------------------------------------------------+
| id                                   | name        | subnets                                             |
+--------------------------------------+-------------+-----------------------------------------------------+
| 58cd3a69-9133-431c-977b-4a59cc004b75 | net-vlan202 | 0993298f-55bf-4e92-9571-71703cecf3f4 88.66.66.0/24  |
| 4f889a3d-f1b1-496d-aa8c-1a466888fb6d | ext_net     | 39741d8d-8c28-4b94-8194-3537c6b7fe1d 10.35.180.0/24 |
+--------------------------------------+-------------+-----------------------------------------------------+
[root@puma34 ~(keystone_admin_tenant1)]$ quantum floatingip-show 59a2fe50-9afa-4924-a9d5-c1f1fa850779
+---------------------+--------------------------------------+
| Field               | Value                                |
+---------------------+--------------------------------------+
| fixed_ip_address    | 88.66.66.6                           |
| floating_ip_address | 10.35.180.22                         |
| floating_network_id | 4f889a3d-f1b1-496d-aa8c-1a466888fb6d |
| id                  | 59a2fe50-9afa-4924-a9d5-c1f1fa850779 |
| port_id             | ce5865be-a360-4bb2-a9a3-3f9d606e1d7e |
| router_id           | f4bdc999-5f1a-4950-a1cb-493e284ba70e |
| tenant_id           | ee83e6c53a544939bccbc9ae605787e6     |
+---------------------+--------------------------------------+


uantum  router-interface-delete router1 subnet-88-vlan202
Router interface for subnet 0993298f-55bf-4e92-9571-71703cecf3f4 on router f4bdc999-5f1a-4950-a1cb-493e284ba70e cannot be deleted, as it is required by one or more floating IPs.


[root@puma34 ~(keystone_admin_tenant1)]$ quantum -v router-interface-delete router1 net-vlan202
DEBUG: quantumclient.quantum.v2_0.router.AddInterfaceRouter run(Namespace(request_format='json', router_id='router1', subnet_id='net-vlan202'))
DEBUG: quantumclient.client 
REQ: curl -i http://10.35.160.77:35357/v2.0/tokens -X POST -H "Content-Type: application/json" -H "Accept: application/json" -H "User-Agent: python-quantumclient" -d '{"auth": {"tenantName": "tenant1", "passwordCredentials": {"username": "admin1", "password": "qum5net"}}}'

DEBUG: quantumclient.client RESP:{'date': 'Sun, 10 Mar 2013 14:23:05 GMT', 'vary': 'X-Auth-Token', 'content-length': '2335', 'status': '200', 'content-type': 'application/json'} {"access": {"token": {"expires": "2013-03-11T14:23:05Z", "id": "d48e15323df14249ab27a36f41e3abdc", "tenant": {"enabled": true, "description": "tenant1", "name": "tenant1", "id": "ee83e6c53a544939bccbc9ae605787e6"}}, "serviceCatalog": [{"endpoints": [{"adminURL": "http://10.35.160.77:8774/v2/ee83e6c53a544939bccbc9ae605787e6", "region": "RegionOne", "internalURL": "http://10.35.160.77:8774/v2/ee83e6c53a544939bccbc9ae605787e6", "id": "8a52bc99eec4441aba6ccefe5138dd8b", "publicURL": "http://10.35.160.77:8774/v2/ee83e6c53a544939bccbc9ae605787e6"}], "endpoints_links": [], "type": "compute", "name": "nova"}, {"endpoints": [{"adminURL": "http://10.35.160.77:9696", "region": "RegionOne", "internalURL": "http://10.35.160.77:9696", "id": "e9f079817f2a4cc5b314dcc045a22a84", "publicURL": "http://10.35.160.77:9696"}], "endpoints_links": [], "type": "network", "name": "quantum"}, {"endpoints": [{"adminURL": "http://10.35.160.77:9292", "region": "RegionOne", "internalURL": "http://10.35.160.77:9292", "id": "e3e7bbd6e2684527ab2793e906807fa8", "publicURL": "http://10.35.160.77:9292"}], "endpoints_links": [], "type": "image", "name": "glance"}, {"endpoints": [{"adminURL": "http://10.35.160.77:8776/v1/ee83e6c53a544939bccbc9ae605787e6", "region": "RegionOne", "internalURL": "http://10.35.160.77:8776/v1/ee83e6c53a544939bccbc9ae605787e6", "id": "ac8d8dd680824213ac2f5a7dbdc312b9", "publicURL": "http://10.35.160.77:8776/v1/ee83e6c53a544939bccbc9ae605787e6"}], "endpoints_links": [], "type": "volume", "name": "cinder"}, {"endpoints": [{"adminURL": "http://10.35.160.77:8773/services/Admin", "region": "RegionOne", "internalURL": "http://10.35.160.77:8773/services/Cloud", "id": "a9273ebb59ad460cb55a6cbe1b3a0600", "publicURL": "http://10.35.160.77:8773/services/Cloud"}], "endpoints_links": [], "type": "ec2", "name": "nova_ec2"}, {"endpoints": [{"adminURL": "http://10.35.160.77:35357/v2.0", "region": "RegionOne", "internalURL": "http://10.35.160.77:5000/v2.0", "id": "3bfaaec36bfb46d6b04fedfc625ed22b", "publicURL": "http://10.35.160.77:5000/v2.0"}], "endpoints_links": [], "type": "identity", "name": "keystone"}], "user": {"username": "admin1", "roles_links": [], "id": "b7e4d81e0a474ea4b6f35bbff239a5db", "roles": [{"name": "admin"}], "name": "admin1"}, "metadata": {"is_admin": 0, "roles": ["23fe60676aed4d1a95ef5658bbf8d03a"]}}}

DEBUG: quantumclient.client 
REQ: curl -i http://10.35.160.77:9696/v2.0/routers.json?fields=id&name=router1 -X GET -H "User-Agent: python-quantumclient" -H "Content-Type: application/json" -H "Accept: application/json" -H "X-Auth-Token: d48e15323df14249ab27a36f41e3abdc"

DEBUG: quantumclient.client RESP:{'date': 'Sun, 10 Mar 2013 14:23:05 GMT', 'status': '200', 'content-length': '61', 'content-type': 'application/json', 'content-location': u'http://10.35.160.77:9696/v2.0/routers.json?fields=id&name=router1'} {"routers": [{"id": "f4bdc999-5f1a-4950-a1cb-493e284ba70e"}]}

DEBUG: quantumclient.client 
REQ: curl -i http://10.35.160.77:9696/v2.0/subnets.json?fields=id&name=net-vlan202 -X GET -H "User-Agent: python-quantumclient" -H "Content-Type: application/json" -H "Accept: application/json" -H "X-Auth-Token: d48e15323df14249ab27a36f41e3abdc"

DEBUG: quantumclient.client RESP:{'date': 'Sun, 10 Mar 2013 14:23:06 GMT', 'status': '200', 'content-length': '15', 'content-type': 'application/json', 'content-location': u'http://10.35.160.77:9696/v2.0/subnets.json?fields=id&name=net-vlan202'} {"subnets": []}

ERROR: quantumclient.shell Unable to find subnet with name 'net-vlan202'
DEBUG: quantumclient.shell clean_up RemoveInterfaceRouter
DEBUG: quantumclient.shell got an error: Unable to find subnet with name 'net-vlan202'
[root@puma34 ~(keystone_admin_tenant1)]$ quantum subnet-list
+--------------------------------------+-------------------+----------------+---------------------------------------------------+
| id                                   | name              | cidr           | allocation_pools                                  |
+--------------------------------------+-------------------+----------------+---------------------------------------------------+
| 0993298f-55bf-4e92-9571-71703cecf3f4 | subnet-88-vlan202 | 88.66.66.0/24  | {"start": "88.66.66.2", "end": "88.66.66.254"}    |
| 39741d8d-8c28-4b94-8194-3537c6b7fe1d |                   | 10.35.180.0/24 | {"start": "10.35.180.20", "end": "10.35.180.150"} |
+--------------------------------------+-------------------+----------------+---------------------------------------------------+
[root@puma34 ~(keystone_admin_tenant1)]$ quantum -v router-interface-delete router1 subnet-88-vlan202
DEBUG: quantumclient.quantum.v2_0.router.AddInterfaceRouter run(Namespace(request_format='json', router_id='router1', subnet_id='subnet-88-vlan202'))
DEBUG: quantumclient.client 
REQ: curl -i http://10.35.160.77:35357/v2.0/tokens -X POST -H "Content-Type: application/json" -H "Accept: application/json" -H "User-Agent: python-quantumclient" -d '{"auth": {"tenantName": "tenant1", "passwordCredentials": {"username": "admin1", "password": "qum5net"}}}'

DEBUG: quantumclient.client RESP:{'date': 'Sun, 10 Mar 2013 14:42:00 GMT', 'vary': 'X-Auth-Token', 'content-length': '2335', 'status': '200', 'content-type': 'application/json'} {"access": {"token": {"expires": "2013-03-11T14:42:00Z", "id": "aaa8401f0bd44d61bfc4ec438b1db6ef", "tenant": {"enabled": true, "description": "tenant1", "name": "tenant1", "id": "ee83e6c53a544939bccbc9ae605787e6"}}, "serviceCatalog": [{"endpoints": [{"adminURL": "http://10.35.160.77:8774/v2/ee83e6c53a544939bccbc9ae605787e6", "region": "RegionOne", "internalURL": "http://10.35.160.77:8774/v2/ee83e6c53a544939bccbc9ae605787e6", "id": "8a52bc99eec4441aba6ccefe5138dd8b", "publicURL": "http://10.35.160.77:8774/v2/ee83e6c53a544939bccbc9ae605787e6"}], "endpoints_links": [], "type": "compute", "name": "nova"}, {"endpoints": [{"adminURL": "http://10.35.160.77:9696", "region": "RegionOne", "internalURL": "http://10.35.160.77:9696", "id": "e9f079817f2a4cc5b314dcc045a22a84", "publicURL": "http://10.35.160.77:9696"}], "endpoints_links": [], "type": "network", "name": "quantum"}, {"endpoints": [{"adminURL": "http://10.35.160.77:9292", "region": "RegionOne", "internalURL": "http://10.35.160.77:9292", "id": "e3e7bbd6e2684527ab2793e906807fa8", "publicURL": "http://10.35.160.77:9292"}], "endpoints_links": [], "type": "image", "name": "glance"}, {"endpoints": [{"adminURL": "http://10.35.160.77:8776/v1/ee83e6c53a544939bccbc9ae605787e6", "region": "RegionOne", "internalURL": "http://10.35.160.77:8776/v1/ee83e6c53a544939bccbc9ae605787e6", "id": "ac8d8dd680824213ac2f5a7dbdc312b9", "publicURL": "http://10.35.160.77:8776/v1/ee83e6c53a544939bccbc9ae605787e6"}], "endpoints_links": [], "type": "volume", "name": "cinder"}, {"endpoints": [{"adminURL": "http://10.35.160.77:8773/services/Admin", "region": "RegionOne", "internalURL": "http://10.35.160.77:8773/services/Cloud", "id": "a9273ebb59ad460cb55a6cbe1b3a0600", "publicURL": "http://10.35.160.77:8773/services/Cloud"}], "endpoints_links": [], "type": "ec2", "name": "nova_ec2"}, {"endpoints": [{"adminURL": "http://10.35.160.77:35357/v2.0", "region": "RegionOne", "internalURL": "http://10.35.160.77:5000/v2.0", "id": "3bfaaec36bfb46d6b04fedfc625ed22b", "publicURL": "http://10.35.160.77:5000/v2.0"}], "endpoints_links": [], "type": "identity", "name": "keystone"}], "user": {"username": "admin1", "roles_links": [], "id": "b7e4d81e0a474ea4b6f35bbff239a5db", "roles": [{"name": "admin"}], "name": "admin1"}, "metadata": {"is_admin": 0, "roles": ["23fe60676aed4d1a95ef5658bbf8d03a"]}}}

DEBUG: quantumclient.client 
REQ: curl -i http://10.35.160.77:9696/v2.0/routers.json?fields=id&name=router1 -X GET -H "User-Agent: python-quantumclient" -H "Content-Type: application/json" -H "Accept: application/json" -H "X-Auth-Token: aaa8401f0bd44d61bfc4ec438b1db6ef"

DEBUG: quantumclient.client RESP:{'date': 'Sun, 10 Mar 2013 14:42:00 GMT', 'status': '200', 'content-length': '61', 'content-type': 'application/json', 'content-location': u'http://10.35.160.77:9696/v2.0/routers.json?fields=id&name=router1'} {"routers": [{"id": "f4bdc999-5f1a-4950-a1cb-493e284ba70e"}]}

DEBUG: quantumclient.client 
REQ: curl -i http://10.35.160.77:9696/v2.0/subnets.json?fields=id&name=subnet-88-vlan202 -X GET -H "User-Agent: python-quantumclient" -H "Content-Type: application/json" -H "Accept: application/json" -H "X-Auth-Token: aaa8401f0bd44d61bfc4ec438b1db6ef"

DEBUG: quantumclient.client RESP:{'date': 'Sun, 10 Mar 2013 14:42:00 GMT', 'status': '200', 'content-length': '61', 'content-type': 'application/json', 'content-location': u'http://10.35.160.77:9696/v2.0/subnets.json?fields=id&name=subnet-88-vlan202'} {"subnets": [{"id": "0993298f-55bf-4e92-9571-71703cecf3f4"}]}

DEBUG: quantumclient.client 
REQ: curl -i http://10.35.160.77:9696/v2.0/routers/f4bdc999-5f1a-4950-a1cb-493e284ba70e/remove_router_interface.json -X PUT -H "User-Agent: python-quantumclient" -H "Content-Type: application/json" -H "Accept: application/json" -H "X-Auth-Token: aaa8401f0bd44d61bfc4ec438b1db6ef" -d '{"subnet_id": "0993298f-55bf-4e92-9571-71703cecf3f4"}'

DEBUG: quantumclient.client RESP:{'date': 'Sun, 10 Mar 2013 14:42:00 GMT', 'status': '409', 'content-length': '197', 'content-type': 'application/json'} {"QuantumError": "Router interface for subnet 0993298f-55bf-4e92-9571-71703cecf3f4 on router f4bdc999-5f1a-4950-a1cb-493e284ba70e cannot be deleted, as it is required by one or more floating IPs."}

DEBUG: quantumclient.v2_0.client Error message: {"QuantumError": "Router interface for subnet 0993298f-55bf-4e92-9571-71703cecf3f4 on router f4bdc999-5f1a-4950-a1cb-493e284ba70e cannot be deleted, as it is required by one or more floating IPs."}
ERROR: quantumclient.shell Router interface for subnet 0993298f-55bf-4e92-9571-71703cecf3f4 on router f4bdc999-5f1a-4950-a1cb-493e284ba70e cannot be deleted, as it is required by one or more floating IPs.
DEBUG: quantumclient.shell clean_up RemoveInterfaceRouter
DEBUG: quantumclient.shell got an error: Router interface for subnet 0993298f-55bf-4e92-9571-71703cecf3f4 on router f4bdc999-5f1a-4950-a1cb-493e284ba70e cannot be deleted, as it is required by one or more floating IPs.

Note You need to log in before you can comment on or make changes to this bug.